> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/entraid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/entraid/readme.md).

# EntraID

{% hint style="info" %}
Module name: `EntraID`
{% endhint %}

{% tabs %}
{% tab title="Properties" %}

<table><thead><tr><th width="227">Name</th><th width="242">Description</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td>namespace</td><td>Modules within the same namespace belong together. This is used when configuring valves.</td><td>false</td></tr><tr><td>http_client_name</td><td>Binds to HttpClient</td><td>true</td></tr><tr><td>client_id</td><td>Entra ID Client ID</td><td>true</td></tr><tr><td>tenant_id</td><td>Entra ID Tenant ID</td><td>true</td></tr><tr><td>keystore</td><td>Keystore reference or json object containing key store configuration.</td><td>true</td></tr><tr><td>keystore_password</td><td>Keystore password.</td><td>true</td></tr><tr><td>keystore_alias</td><td>Keystore alias. Defaults to <code>"1"</code></td><td>false</td></tr><tr><td>audit.create</td><td>Record audit event on successful create operations.</td><td>false</td></tr><tr><td>audit.update</td><td>Record audit event on successful update operations.</td><td>false</td></tr><tr><td>audit.delete</td><td>Record audit event on successful delete operations.</td><td>false</td></tr></tbody></table>
{% endtab %}

{% tab title="Example" %}

```json
{
    "name": "EntraID",
    "config": {
        "namespace": "X",
        "http_client_name": "default_http_client",
        "client_id": "b6e27dbf-8bb8-49bf-a2a0-3a32140b045a",
        "tenant_id": "9576dfaf-0f8a-49d9-982e-40839345c6bc",
        "keystore": {
          "path": "/path/to/keystore.pfx",
          "password": "password",
          "type": "PKCS12"
        },
        "keystore_alias": "1",
        "keystore_password": "password",
        "audit": {
            "create": true,
            "update": true,
            "delete": true
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fortifiedid.se/entraid/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
